From 0a89256c28c6331bc96331b5b16d8640f697d1be Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Jan 01 2021 23:53:56 +0000
Subject: [PATCH 1937/2232] Support rename attributes on struct fields


---

diff --git a/syntax/parse.rs b/syntax/parse.rs
index fd558dc..3d2c638 100644
--- a/syntax/parse.rs
+++ b/syntax/parse.rs
@@ -100,11 +100,15 @@ fn parse_struct(cx: &mut Errors, mut item: ItemStruct, namespace: &Namespace) ->
     for field in named_fields.named {
         let ident = field.ident.unwrap();
         let mut doc = Doc::new();
+        let mut cxx_name = None;
+        let mut rust_name = None;
         let attrs = attrs::parse(
             cx,
             field.attrs,
             attrs::Parser {
                 doc: Some(&mut doc),
+                cxx_name: Some(&mut cxx_name),
+                rust_name: Some(&mut rust_name),
                 ..Default::default()
             },
         );
@@ -116,7 +120,7 @@ fn parse_struct(cx: &mut Errors, mut item: ItemStruct, namespace: &Namespace) ->
             }
         };
         let visibility = visibility_pub(&field.vis, &ident);
-        let name = pair(Namespace::default(), &ident, None, None);
+        let name = pair(Namespace::default(), &ident, cxx_name, rust_name);
         fields.push(Var {
             doc,
             attrs,

